package com.postgresql.connectdb;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;

public class DBConnectionWithPostgreSQL {
	public static void main(String args []) {
		try {
			Class.forName("org.postgresql.Driver");
			Connection connection = DriverManager.getConnection("jdbc:postgresql://localhost.com:5432/regression1", "postgres", "password");
			if(connection != null) {
				System.out.println("Database connection successful!!!");
				String driverClaimsJDBCVersionString = connection.getMetaData().getJDBCMajorVersion() + "." + connection.getMetaData().getJDBCMinorVersion();
				System.out.println("Driver supports this JDBC version: " + driverClaimsJDBCVersionString);
				System.out.println("Current JDBC Driver Version: " + connection.getMetaData().getDriverVersion());
				ResultSet proceduresRSet = connection.getMetaData().getProcedures(null, "public", "CUT%");
				while (proceduresRSet.next()) {
			         System.out.println("Catalog name: "+proceduresRSet.getString("PROCEDURE_CAT"));
			         System.out.println("Procedure name: "+proceduresRSet.getString("PROCEDURE_NAME"));
			         System.out.println("Type of the procedure: "+proceduresRSet.getShort("PROCEDURE_TYPE"));
			         System.out.println("Specific name of the procedure: "+proceduresRSet.getString("SPECIFIC_NAME"));
			         System.out.println(" ");
			      }
			}
		} catch (ClassNotFoundException | SQLException e) {
			e.printStackTrace();
		}
	}
}